#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int ukupno(int n, int m) {
    return n * m - max(0, (n - 2)) * max(0, (m - 2));
}

int main() {
    int n, m; cin >> n >> m;
    int ans = ukupno(n, m);
    n -= 2; m -= 2;
    while (n > 0 && m > 0) {
        ans += ukupno(n, m) / 2;
        n -= 2; m -= 2;
    }

    cout << ans << "\n";
}